Summary:	KPhone - SIP user agent
Name:		kphone
Version:	4.1.0
Release:	0
License:	GPL
Group:		Applications/Internet
Source0:	http://www.wirlab.net/kphone/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}-%{version}-destdir.patch
URL:		http://www.wirlab.net/kphone/index.html
Requires:	qt >= 3.0.0
Requires:	XFree86-libs >= 4.0.0
Requires:	openssl >= 0.9.6
Requires:	libpng >= 1.0.0
BuildPrereq:	XFree86-devel >= 4.0.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot


%description
KPhone is a SIP (Session Initiation Protocol) user agent for Linux,
which you can use to initiate VoIP (Voice over IP) connections over the
Internet. It supports Presence and Instant Messaging, and, to some extent,
video calls between two hosts.


%prep 
%setup -n %{name}
%patch0 -p1


%build
%configure
%{__make}


%install
rm -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
install -D -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/X11/applnk/Internet/%{name}.desktop


%post


%postun


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,755)
%doc README COPYING CHANGES
%{_datadir}/apps/%{name}/icons/*
%{_datadir}/%{name}/translations/*
%{_bindir}/%{name}
%{_sysconfdir}/X11/applnk/Internet/%{name}.desktop


%changelog
* Tue Dec 14 2004 Gabriel Somlo <somlo@acns.colostate.edu>
- updated to 4.1.0
- re-added DESTDIR patch

* Wed Dec 08 2004 Gabriel Somlo <somlo@acns.colostate.edu>
- updated to 4.0.5
- DESTDIR patch no longer needed

* Thu Sep 23 2004 Gabriel Somlo <somlo@acns.colostate.edu>
- updated and streamlined spec file for 4.0.3
- standalone desktop file
- added DESTDIR patch

* Thu Feb 12 2004 Daniel Mierla <daniel@iptel.org>
- Initial version for RH/Fedora
